SplDoublyLinkedList::offsetGet
SplDoublyLinkedList::offsetUnset
SplDoublyLinkedList
PHP Manual

# SplDoublyLinkedList::offsetSet

(PHP 5 >= 5.3.0)

SplDoublyLinkedList::offsetSet — Sets the value at the specified $index to $newval

### Description

public void SplDoublyLinkedList::offsetSet ( mixed `$index` , mixed `$newval` )

Sets the value at the specified `index` to `newval`.

### Parameters

`index`

  The index being set.

`newval`

  The new value for the `index`.

### Return Values

No value is returned.

### Errors/Exceptions

Throws OutOfRangeException when `index` is out of bounds or when `index` cannot be parsed as an integer.

SplDoublyLinkedList::offsetGet
SplDoublyLinkedList::offsetUnset
SplDoublyLinkedList
PHP Manual